## List

Templating System : Designer Guide : Tag Reference : List

### Summary

The `list` tag is used to repeat a template section for each item in a list data source.

### Usage

    <list name="datasource">

      <if @datasource:rownum@ ne @datasource:rowcount@>
        @datasource:item@ :
      </if>
      <else>
        <b>@datasource:item@</b>
      </else>

    </list>

### Notes

- The special variable `datasource:rownum` has the same meaning as the special column `datasource.rownum` in the body of a `multiple` tag.

- The special variable `datasource:rowcount` has the same meaning in the list context as it does for multirow data sources.

templating@arsdigita.com